/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.client.ui.uinfo;

import org.dive4elements.river.client.client.ui.AbstractSingleItemPanel;
import org.dive4elements.river.client.shared.model.DataList;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.form.DynamicForm;
import com.smartgwt.client.widgets.form.fields.StaticTextItem;
import com.smartgwt.client.widgets.form.fields.TextItem;
import com.smartgwt.client.widgets.layout.VLayout;

public class LoadSedimentHeightPanel extends AbstractSingleItemPanel {
    private static final long serialVersionUID = 1L;

    public LoadSedimentHeightPanel(final IMultiSingleBehaviour behaviour) {
        super(behaviour);
    }

    @Override
    protected String getDatakey() {
        return "sedimentheight";
    }

    @Override
    protected String errorForItemMsg() {
        return this.MSG.no_data_sediment_difference();
    }

    @Override
    public Canvas createWidget(final DataList data) {
        final VLayout layout = new VLayout();

        final Label title = new Label(data.get(0).getDescription());
        title.setHeight("35px");

        final DynamicForm form = new DynamicForm();

        form.setNumCols(4);
        final TextItem inputItem = createInputItem("waterlevelDifference_Name_to_prevent_errorMsg");
        inputItem.setShowTitle(false);
        inputItem.setWidth(200);
        final StaticTextItem textItem = new StaticTextItem("IRRELEVANT_NAME");

        textItem.setValue("cm");
        textItem.setShowTitle(false);
        form.setFields(inputItem, textItem);

        layout.addMember(title);
        layout.addMember(form);

        return layout;
    }
}